# Integration

## Performs the Get operation.

> Use this endpoint to execute the get workflow in IntegrationController.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"Integration"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/Integration/Get":{"get":{"tags":["Integration"],"summary":"Performs the Get operation.","description":"Use this endpoint to execute the get workflow in IntegrationController.\n\nRequired roles: Admin.","parameters":[{"name":"companyId","in":"query","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Performs the Get operation.

> Use this endpoint to execute the get workflow in IntegrationController.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"Integration"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/Integration/Get/{integrationId}":{"get":{"tags":["Integration"],"summary":"Performs the Get operation.","description":"Use this endpoint to execute the get workflow in IntegrationController.\n\nRequired roles: Admin.","parameters":[{"name":"integrationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Create integration.

> Use this endpoint to create integration.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"Integration"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CreateIntegrationViewModel":{"type":"object","properties":{"settings":{"description":"Gets or sets the initial integration settings payload."}},"description":"Represents the payload for installing a new integration instance."}}},"paths":{"/v1/Integration/Create/{companyId}/{storeItem}":{"post":{"tags":["Integration"],"summary":"Create integration.","description":"Use this endpoint to create integration.\n\nRequired roles: Admin.","parameters":[{"name":"companyId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"storeItem","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateIntegrationViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateIntegrationViewModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateIntegrationViewModel"}}},"required":true},"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Update integration.

> Use this endpoint to update integration.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"Integration"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"UpdateIntegrationViewModel":{"type":"object","properties":{"settings":{"description":"Gets or sets an optional replacement settings payload."},"enabled":{"type":"boolean","description":"Gets or sets whether the integration should be enabled.","nullable":true}},"description":"Represents the payload for updating an existing integration instance."}}},"paths":{"/v1/Integration/Update/{integrationId}":{"patch":{"tags":["Integration"],"summary":"Update integration.","description":"Use this endpoint to update integration.\n\nRequired roles: Admin.","parameters":[{"name":"integrationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateIntegrationViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateIntegrationViewModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UpdateIntegrationViewModel"}}},"required":true},"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Delete integration.

> Use this endpoint to delete integration.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"Integration"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/Integration/Delete/{integrationId}":{"delete":{"tags":["Integration"],"summary":"Delete integration.","description":"Use this endpoint to delete integration.\n\nRequired roles: Admin.","parameters":[{"name":"integrationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Executes the configured integration action manually.

> Triggers integration-specific execution logic for the selected integration instance, using the current company context and stored settings.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"Integration"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/Integration/Execute/{integrationId}":{"get":{"tags":["Integration"],"summary":"Executes the configured integration action manually.","description":"Triggers integration-specific execution logic for the selected integration instance, using the current company context and stored settings.\n\nRequired roles: Admin.","parameters":[{"name":"integrationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.safegpt.nl/api-en/endpoints/integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
